Bug 1658397 (CVE-2018-12405)

Summary: CVE-2018-12405 Mozilla: Memory safety bugs fixed in Firefox 64 and Firefox ESR 60.4
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20181212,reported=20181211,source=mozilla,cvss3=8.8/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H,cwe=CWE-120,rhel-6/firefox=affected,rhel-7/firefox=affected,rhel-6/thunderbird=affected/impact=important,rhel-7/thunderbird=affected/impact=important,rhel-8/firefox=notaffected,rhel-8/thunderbird=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-29 16:14:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1655361, 1660727, 1655360, 1655362, 1660726, 1660728, 1661346, 1667787    
Bug Blocks: 1655358, 1660724    

Description Doran Moppert 2018-12-11 23:57:01 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 63 and Firefox ESR 60.3. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-30/#CVE-2018-12405

Comment 1 Doran Moppert 2018-12-11 23:57:03 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Christian Holler, Diego Calleja, Andrew McCreight, Jon Coppeard, Natalia Csoregi, Nicolas B. Pierron, Tyson Smith

Comment 2 errata-xmlrpc 2018-12-17 17:06:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3831 https://access.redhat.com/errata/RHSA-2018:3831

Comment 3 errata-xmlrpc 2018-12-17 17:06:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3833 https://access.redhat.com/errata/RHSA-2018:3833

Comment 4 Doran Moppert 2019-01-21 04:52:44 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-01-24 22:38:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0159 https://access.redhat.com/errata/RHSA-2019:0159

Comment 7 errata-xmlrpc 2019-01-24 22:42:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0160 https://access.redhat.com/errata/RHSA-2019:0160